package org.academiadecodigo.enuminatti.paint.painter;

import org.academiadecodigo.enuminatti.paint.grid.Grid;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class PainterFactory {

    public static Painter createPainter(PainterType type, Grid grid) {

        switch (type) {
            case TERMINAL:
                return new Terminal(200, grid);
            case SIMPLEGFX:
                return new SimpleGraphics(0, grid);
            case LANTERNA:
                return new Lanterna(500, grid);
            default:
                throw new IllegalArgumentException();
        }

    }
}
